/*
       Endeavour Image Browser Drag & Drop Callbacks & Procedures
 */

#ifndef IMBRDND_H
#define IMBRDND_H

#include <gtk/gtk.h>
#include "imbr.h"

extern gint EDVImbrLocBarIconCrossingCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

extern void EDVImbrTListDNDSetIcon(
	edv_imbr_struct *imbr, gint thumb_num
);
extern gboolean EDVImbrTListDragMotionCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y, guint t,
	gpointer data
);
extern void EDVImbrTListDragDataGetCB(
	GtkWidget *widget, GdkDragContext *dc,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVImbrTListDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVImbrTListDragDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);

extern void EDVImbrImgViewDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);


#endif	/* IMBRDND_H */
